package service

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
	cdr "git.loafle.net/commons/di-go/registry"
	ocsp "git.loafle.net/overflow/commons-go/service/probe"

	// For annotation
	_ "git.loafle.net/overflow/commons-go/core/annotation"
)

var CrawlerServiceType = reflect.TypeOf((*CrawlerService)(nil))

func init() {
	cdr.RegisterType(CrawlerServiceType)
}

type CrawlerService struct {
	ocsp.CrawlerService
	cda.TypeAnnotation `annotation:"@overflow:RPCService()"`

	SensorConfigService *SensorConfigService `annotation:"@Inject()"`
	ContainerService    *ContainerService    `annotation:"@Inject()"`
}

func (s *CrawlerService) InitService() error {
	return nil
}

func (s *CrawlerService) StartService() error {

	return nil
}

func (s *CrawlerService) StopService() {

}

func (s *CrawlerService) DestroyService() {

}

func (s *CrawlerService) Accept() error {

	return nil
}
